Bug 11613 - В мане указана неверная секция
: В мане указана неверная секция
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/hasher)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-04-24 17:43 by
Modified: 2007-05-26 11:53 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-04-24 17:43:25
coder@alt0 ~ $ man -w hasher                
/usr/share/man/man7/hasher.7.gz

coder@alt0 ~ $ man hasher | col -b | head -1
HASHER(3)                          ALT Linux                         HASHER(3)

Т.е. ман находится в секции 7, но в нём написано, что он из секции 3. Кстати,
почему описание для hsh(1) в секции 7? Может перенести в команды пользователя,
ведь запуск hsh обычно производится от пользователя.

Также нашел:

coder@alt0 ~ $ man -w hasher-priv.conf
/usr/share/man/man5/hasher-priv.conf.5.gz

coder@alt0 ~ $ man 5 hasher-priv.conf | col -b | head -1
HASHER-PRIV configuration(3)       ALT Linux      HASHER-PRIV configuration(3)

Т.е. опять же: ман из пятой секции, а говорит, что он из третьей.

Я пытался посмотреть через git.altlinux.ru исходники этих файлов, но не смог
найти как посмотреть содержимое отдельного файла в коммите и всё дерево на время
какой-то ревизии. У меня установлены следующие версии:

coder@alt0 ~ $ rpm -qa "hasher*"
hasher-1.2.0-alt1
hasher-priv-1.2.8-alt1
------- Comment #1 From 2007-04-27 06:00:24 -------
В hasher(7) и hasher-priv.conf(5) вкралась опечатка.
В hsh(1) секция правильная.

git.altlinux.org на днях был сломан в результате обновления perl'а;
сейчас perl починили и сайт снова нормально всё показывает.
------- Comment #3 From 2007-05-01 16:19:03 -------
Помечаю как FIXED.